[Stable Update i686] 2018-12-02 - Kernels, systemd

update
stable
manjaro32

#1

Hello i686ers!

A much smaller update set after the previous mega-update, this one updates systemd and - more importantly - kernels.

According to Greg KH:

So, yeah - you should probably upgrade. :wink:


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version PAE
linux316 3.16.61 No
linux318 3.18.128 No
linux44 4.4.166 No
linux49 4.9.142 No
linux414 4.14.85 No
linux419 4.19.6 Yes

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

There’s a rapidly ageing image over here:

A new image will arrive when I find the time, which may be never. :sleeping:

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

Full list of changes is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Testing Update i686] 2018-12-01 - Kernels, systemd
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


#3

A small bonus update for Thunderbird and Pamac:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                             openssl            1.1.1-1.0          1.1.1.a-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                  linux414-acpi_call           1.1.0-66.1             1.1.0-68
                   linux414-bbswitch             0.8-66.1               0.8-68
                linux414-broadcom-wl    6.30.223.271-66.1      6.30.223.271-68
                linux414-ndiswrapper            1.61-66.1              1.61-68
               linux414-nvidia-340xx         340.107-25.1           340.107-27
               linux414-nvidia-390xx          390.87-11.1            390.87-13
                      linux414-r8168        8.045.08-54.1          8.045.08-56
                  linux414-rt3562sta      2.4.1.1_r4-66.1        2.4.1.1_r4-68
                        linux414-spl           0.7.11-6.1             0.7.11-8
                   linux414-tp_smapi            0.41-66.1              0.41-68
                linux414-vhba-module        20161009-66.1          20161009-68
   linux414-virtualbox-guest-modules           5.2.22-3.1             5.2.22-5
    linux414-virtualbox-host-modules           5.2.22-3.1             5.2.22-5
                        linux414-zfs           0.7.11-6.1             0.7.11-8
                  linux419-acpi_call            1.1.0-5.1              1.1.0-6
                   linux419-bbswitch              0.8-5.1                0.8-6
                linux419-broadcom-wl     6.30.223.271-5.1       6.30.223.271-6
                linux419-ndiswrapper             1.61-5.1               1.61-6
               linux419-nvidia-340xx          340.107-5.1            340.107-6
               linux419-nvidia-390xx           390.87-5.1             390.87-6
                   linux419-nvidiabl             0.88-5.1               0.88-6
                      linux419-r8168         8.045.08-5.1           8.045.08-6
                        linux419-spl           0.7.11-5.1             0.7.11-6
                   linux419-tp_smapi             0.41-5.1               0.41-6
                linux419-vhba-module         20161009-5.1           20161009-6
   linux419-virtualbox-guest-modules           5.2.22-5.1             5.2.22-6
    linux419-virtualbox-host-modules           5.2.22-5.1             5.2.22-6
                        linux419-zfs           0.7.11-5.1             0.7.11-6
                   ndiswrapper-utils            1.61-66.0              1.61-68
                     optimus-manager                0.3-1                0.4-1
                               pamac              7.3.1-1              7.3.1-4
             pamac-tray-appindicator              7.3.1-1              7.3.1-4
                    xfce4-panel-gtk3            4.13.3-11            4.13.3-14
                  xfce4-session-gtk3             4.13.1-4             4.13.1-5
                      xfdesktop-gtk3             4.13.2-7             4.13.2-8


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                               ctags              5.8-6.21:r20181015+g45968eff-1.0
                              facile            1.1.3-4.2            1.1.3-5.0
                         fuse-common            3.2.6-1.0            3.3.0-1.0
                               fuse3            3.2.6-1.0            3.3.0-1.0
                    libimobiledevice1.2.0+66+g5a85432-2.11.2.0+87+g92c5462-1.0
                            libxcomp        3.5.99.16-2.0        3.5.99.17-1.1
                               ncftp              3.2.6-1            3.2.6-2.0
                          nx-headers        3.5.99.16-2.0        3.5.99.17-1.1
                              nx-x11        3.5.99.16-2.0        3.5.99.17-1.1
                             nxagent        3.5.99.16-2.0        3.5.99.17-1.1
                             nxproxy        3.5.99.16-2.0        3.5.99.17-1.1
                               ocaml           4.07.0-1.1           4.07.1-1.0
                 ocaml-compiler-libs           4.07.0-1.1           4.07.1-1.0
                        ocaml-result              1.3-1.1              1.3-2.0
                          ocamlbuild           0.13.1-1.0           0.13.1-2.0
                             seabios           1.11.0-3.0           1.12.0-1.0
                 texlive-bibtexextra       2018.48548-1.1       2018.49283-1.0
                        texlive-core       2018.48566-1.1       2018.49285-1.0
                  texlive-fontsextra       2018.48561-1.0       2018.49197-1.0
                texlive-formatsextra       2018.47496-1.0       2018.48634-1.0
                       texlive-games       2018.48514-1.1       2018.49111-1.0
                  texlive-humanities       2018.48491-1.0       2018.49287-1.0
                 texlive-langchinese       2018.48534-1.0       2018.49019-1.0
                texlive-langcyrillic       2018.48484-1.0       2018.49022-1.0
                   texlive-langextra       2018.48507-1.1       2018.49258-1.0
                texlive-langjapanese       2018.48562-1.0       2018.49288-1.0
                  texlive-latexextra       2018.48568-1.1       2018.49282-1.0
                    texlive-pictures       2018.48511-1.0       2018.49201-1.0
                    texlive-pstricks       2018.48533-1.0       2018.49223-1.0
                  texlive-publishers       2018.48567-1.1       2018.49284-1.0
                     texlive-science       2018.48515-1.0       2018.49286-1.0
                 thunderbird-i18n-ar           60.3.1-1.0           60.3.2-1.0
                thunderbird-i18n-ast           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-be           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-bg           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-br           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-ca           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-cs           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-cy           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-da           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-de           60.3.1-1.0           60.3.2-1.0
                thunderbird-i18n-dsb           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-el           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-en-gb           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-en-us           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-es-ar           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-es-es           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-et           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-eu           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-fi           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-fr           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-fy-nl           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-ga-ie           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-gd           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-gl           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-he           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-hr           60.3.1-1.0           60.3.2-1.0
                thunderbird-i18n-hsb           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-hu           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-hy-am           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-id           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-is           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-it           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-ja           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-ko           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-lt           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-nb-no           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-nl           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-nn-no           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-pl           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-pt-br           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-pt-pt           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-rm           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-ro           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-ru           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-si           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-sk           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-sl           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-sq           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-sr           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-sv-se           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-tr           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-uk           60.3.1-1.0           60.3.2-1.0
                 thunderbird-i18n-vi           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-zh-cn           60.3.1-1.0           60.3.2-1.0
              thunderbird-i18n-zh-tw           60.3.1-1.0           60.3.2-1.0
                             usbmuxd1.1.0+48+g1cc8b34-1.01.1.0+48+g1cc8b34-2.0
                            wildmidi            0.4.2-1.1            0.4.3-1.0
                           zxing-cpp      git20180320-2.1            1.0.0-1.0
                          squashfuse                    -          0.1.103-2.1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                               acorn            5.7.3-1.0          1:6.0.4-1.0
                             ansible            2.7.2-1.0            2.7.4-1.0
                              camlp5             7.07-1.0             7.07-2.0
                                dune            1.5.1-1.0            1.5.1-2.0
                            gambit-c            4.9.0-1.0            4.9.1-1.0
                                 gap            4.9.3-1.1           4.10.0-3.1
                             gap-doc            4.9.3-1.1           4.10.0-3.1
                        gap-packages            4.9.3-1.1           4.10.0-3.1
                       libmicrohttpd           0.9.59-1.2           0.9.61-1.0
                               lldpd            1.0.1-3.0            1.0.2-1.0
                        ocaml-biniou            1.2.0-3.0            1.2.0-4.0
                   ocaml-easy-format            1.3.1-2.0            1.3.1-3.0
                       ocaml-findlib            1.8.0-2.1            1.8.0-3.0
                        ocaml-lablgl             1.05-7.1             1.05-8.0
                           ocaml-num              1.1-2.1              1.1-3.0
                        ocaml-yojson            1.4.1-2.0            1.4.1-4.0
                                 ois              1.4-1.1              1.5-1.0
                                opam            2.0.1-1.0            2.0.1-2.0
                             prosody         1:0.10.2-2.0         1:0.11.1-1.0
                      python-awkward            0.5.1-1.0            0.5.2-1.0
               python-docker-pycreds            0.3.0-2.1            0.4.0-1.0
                       python-zopfli            0.1.4-1.1            0.1.6-1.0
              python2-docker-pycreds            0.3.0-2.1            0.4.0-1.0
                     python2-restkit              4.2.2-1            4.2.2-2.0
                           rapidjson              1.1.0-2            1.1.0-3.0
                      ruby-test-unit            3.2.8-2.0            3.2.9-1.0
                          spawn-fcgi            1.6.4-2.1            1.6.4-3.0
                              stylus             0.54.5-1           0.54.5-2.0
                            three.js              r98-1.0              r99-1.0
                             entityx                    -            1.3.0-1.0
      thunderbird-extension-enigmail                    -            2.0.8-1.0

#4

After fixing a baloo file extractor issue Kernel 4.19 works great. Thanks


#5

Update on 1 Machine and 1 VB without Problems.

DK3


#6

All fine. SDDM doesn’t crash anymore :slight_smile:
Thanks a lot.


#7

I finally worked up the courage to install the super mega may-as-well-reinstall update and this one came with it.

When it was done I rebooted and the laptop carried on as before - as smooth and happy as a nearly 15 year old computer can be.


#8

Update for the latest fixed kernel 4.19.7:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                            linux419             4.19.6-1             4.19.7-2
                    linux419-headers             4.19.6-1             4.19.7-2


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                  linux419-acpi_call              1.1.0-6              1.1.0-7
                   linux419-bbswitch                0.8-6                0.8-7
                linux419-broadcom-wl       6.30.223.271-6       6.30.223.271-7
                linux419-ndiswrapper               1.61-6               1.61-7
               linux419-nvidia-340xx            340.107-6            340.107-7
               linux419-nvidia-390xx             390.87-6             390.87-7
                   linux419-nvidiabl               0.88-6               0.88-7
                      linux419-r8168           8.045.08-6           8.045.08-7
                        linux419-spl             0.7.11-6             0.7.11-7
                   linux419-tp_smapi               0.41-6               0.41-7
                linux419-vhba-module           20161009-6           20161009-7
   linux419-virtualbox-guest-modules             5.2.22-6             5.2.22-7
    linux419-virtualbox-host-modules             5.2.22-6             5.2.22-7
                        linux419-zfs             0.7.11-6             0.7.11-7

#9